from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XScaling(XInterface, Protocol):
    def doScaling(self, value: float) -> float: ...
    def getInverseScaling(self) -> XScaling: ...
